## live-build 20250505+kali1

=== debian/changelog ===
live-build (1:20250505+kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Sync with Debian. Remaining changes:
    - XORRISO options for EFI boot 
    - grub-efi-amd64-signed is not available on Kali

  [ Roland Clobus ]
  * installer: Generate patterns file for firmware-intel-sound

  [ Arnaud Rebillout ]
  * Revert "Workaround for #1084791"
  * installer: Don't fail if there's no DEP-11 metadata
  * installer: Don't hardcode Debian keyring

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 23 Jun 2025 10:52:30 +0700

live-build (1:20250225+kali3) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Firmwarelist: filter out firmware-nvidia-tesla-.*-gsp

  [ Roland Clobus ]
  * firmwarelist: stronger filtering for firmware-nvdia-tesla
  * firmwarelist: filter firmware-marvell-prestera
  * installer: more espeakup support

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 29 May 2025 11:02:37 +0700

live-build (1:20250225+kali2) kali-dev; urgency=medium

  [ Roland Clobus ]
  * installer: Use the newer version of libfuse3-4

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 21 Apr 2025 10:22:53 +0700

live-build (1:20250225+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Mar 2025 17:28:35 +0100

live-build (1:20240811+kali3) kali-dev; urgency=medium

  [ Roland Clobus ]
  * Change default for zsync to false
  * Installer: Calamares also needs the unsigned GRUB packages for offline installation

  [ Arnaud Rebillout ]
  * Workaround for #1084791

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 11 Nov 2024 09:23:19 +0700

live-build (1:20240811+kali2) kali-dev; urgency=medium

  * Fix build/installer_debian-installer: Kali doesn't have
    grub-efi-amd64-signed (change not correctly merged during sync with Debian)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 24 Sep 2024 13:48:48 +0200

live-build (1:20240811+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Sep 2024 15:06:40 +0200

live-build (1:20230502+kali4) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Revert "Hack for non-free-firmware"

  [ Roland Clobus ]
  * The installer now requires grub-common and dependencies
  * installer: Also add the t64 versions of the libraries

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 02 Jul 2024 09:17:19 +0700

live-build (1:20230502+kali3) kali-dev; urgency=medium

  [ Roland Clobus ]
  * Filter the firmware list (Closes: 1035382)

  [ Unit 193 ]
  * firmwarelists.sh: Account for usrmerged firmware packages.

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 09 Jan 2024 17:35:55 +0700

live-build (1:20230502+kali2) kali-dev; urgency=medium

  * efi-image: Fix missing part_* modules in boot<platform>.efi
  * efi-image: Fix <platform>/grub.cfg, variables must NOT be expanded
  * Revert "Do not consider nvidia-tesla-* firmwares, they conflict"

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 15 Sep 2023 18:14:17 +0700

live-build (1:20230502+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 15 Jun 2023 14:29:55 +0200

live-build (1:20230131+kali6) kali-dev; urgency=medium

  * Revert "Do not consider ht9k-htc firmware, conflicts with firmware-atheros"

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 28 Feb 2023 12:29:46 +0700

live-build (1:20230131+kali5) kali-dev; urgency=medium

  * Do not consider ht9k-htc firmware, conflicts with firmware-atheros

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 24 Feb 2023 11:39:32 +0700

live-build (1:20230131+kali4) kali-dev; urgency=medium

  * memtest86+ switched to /boot/memtest86+ia32.{bin,efi} for 32bits

 -- Raphaël Hertzog <raphael@offensive-security.com>  Wed, 22 Feb 2023 08:33:52 +0100

live-build (1:20230131+kali3) kali-dev; urgency=medium

  * Hack for non-free-firmware

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 17 Feb 2023 14:09:23 +0700

live-build (1:20230131+kali2) kali-dev; urgency=medium

  * Remove grub-efi-amd64-signed from DI_REQ_PACKAGES

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 16 Feb 2023 15:38:52 +0700

live-build (1:20230131+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - Do not consider nvidia-tesla-* firmware, it causes the ISO build to fail
    - XORRISO options for EFI boot 

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 15 Feb 2023 10:27:35 +0700

live-build (1:20220505kali3) kali-dev; urgency=medium

  [ Ryan Finnie ]
  * Fix build with memtest86+ 6.00

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 01 Nov 2022 09:30:54 +0700

live-build (1:20220505kali2) kali-dev; urgency=medium

  * Do not consider nvidia-tesla-* firmwares, it causes the ISO build to fail.

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 02 Sep 2022 12:08:57 +0200

live-build (1:20220505kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 19 May 2022 09:13:36 +0200

live-build (1:20210902kali2) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Disable autopkgtest in ci
  * Harmonize live menus entries (UEFI and BIOS)
  * Add a variable FLAVOUR_LIVE that can be used in live-build-config

  [ Ben Wilson ]
  * Update email address

  [ Arnaud Rebillout ]
  * Add XS-Debian-Vcs-* fields

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 Jan 2022 11:01:35 +0100

live-build (1:20210902kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Sep 2021 11:09:45 +0200

live-build (1:20210407kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Remaining changes:
    - XORRISO options for EFI boot

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 May 2021 16:17:27 +0200

live-build (1:20210216kali1) kali-dev; urgency=medium



## live-build 20250505+kali2

=== debian/changelog ===
live-build (1:20250505+kali2) kali-dev; urgency=medium

  * firmwarelist: filter firmware-nexmon

 -- Steev Klimaszewski <steev@kali.org>  Thu, 17 Jul 2025 13:04:55 -0500

## live-build 20250505+kali3

=== debian/changelog ===
live-build (1:20250505+kali3) kali-dev; urgency=medium

  * firmwarelist: filter out b43 firmware

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 28 Aug 2025 09:09:54 +0700

## live-build 20250505.drbl1

=== debian/changelog ===
live-build (1:20250505.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch to support riscv64 arch.
  * Patch to support mmdebstrap with updated bootstrap_mmdebstrap.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 11 May 2025 17:23:23 +0800

=== debian/control ===
Source: live-build
Section: misc
Priority: optional
Maintainer: Debian Live <debian-live@lists.debian.org>
Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
           Luca Boccassi <bluca@debian.org>,
           Johannes Schauer Marin Rodrigues <josch@debian.org>
Build-Depends: debhelper-compat (= 13), devscripts, gettext, po4a
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://wiki.debian.org/DebianLive
Vcs-Browser: https://salsa.debian.org/live-team/live-build
Vcs-Git: https://salsa.debian.org/live-team/live-build.git

Package: live-build
Architecture: all
Depends: cpio, debootstrap | mmdebstrap, ${misc:Depends}
Recommends: apt-utils,
            bzip2,
            cryptsetup,
            file,
            live-boot-doc,
            live-config-doc,
            live-manual-html | live-manual,
            rsync,
            systemd-container,
            wget,
            xz-utils
Suggests: e2fsprogs, eatmydata, git, mtd-utils, parted
Description: Live System Build Components
 The Debian Live project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-build contains the components to build a live system from a configuration
 directory.

## live-build 20250810

=== debian/changelog ===
live-build (2:20250810-1kaisen) kaisen-packages; urgency=medium

  * Import the new upstream release
  * Add the use-kaisen-archive-keyring.patch quilt patch 

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 10 Aug 2025 03:19:27 +0100

live-build (2:20250113-1kaisen) kaisen-packages; urgency=medium

  * Import the new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 13 Jan 2025 17:55:28 +0100

live-build (2:20230502-1kaisen) kaisen-packages; urgency=medium

  * Import the new upstream release
  * Add a quilt patch to umount sysfs in recursive

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 14 Aug 2023 16:50:07 +0100

live-build (2:20230131-1kaisen) kaisen-packages; urgency=medium

  * Import the new upstream release
  * Remove the kaisen-add-the-support-of-efi-for-memtest86+ quilt patch
    (fixed upstream)
  * Update the kaisen-drop-the-support-of-memtest86 quilt patch
  * Add the kaisen-drop-grub-signed-and-shim quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 10 Mar 2023 13:27:51 +0100

live-build (2:20220505-2kaisen) kaisen-packages; urgency=medium

  * Add the patch to drop the support of the memtest binary
  * Add the patch to add the support of EFI for memtest86+

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 15 Nov 2022 12:51:41 +0100

live-build (2:20220505-1kaisen) kaisen-packages; urgency=medium

  * Quilt package
  * Add kaisen quilt patches

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 04 Sep 2022 20:38:32 +0100

live-build (1:20220505+kaisen1) kaisen-packages; urgency=medium

  * Import new upstream release and keep Kaisen patches

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 06 May 2022 09:03:29 +0100

live-build (1:20210902+kaisen4) kaisen-packages; urgency=medium

  * Remove: DEBOOTSTRAP_OPTIONS="${DEBOOTSTRAP_OPTIONS} --include=zsh,bash-completion"
    line in scripts/build/bootstrap_debootstrap file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 21 Apr 2022 01:46:19 +0100

live-build (1:20210902+kaisen3) kaisen-packages; urgency=medium

  * Added: DEBOOTSTRAP_OPTIONS="${DEBOOTSTRAP_OPTIONS} --include=zsh,bash-completion"
    line in scripts/build/bootstrap_debootstrap file
  * Push on prod

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 21 Feb 2022 03:19:07 +0100

live-build (1:20210902+kaisen2) kaisen-packages; urgency=medium

  * Fixed persistent live not working. 
    This bug was due to bad xorriso options in the binary_iso script. Added line:
    XORRISO_OPTIONS="${XORRISO_OPTIONS} -append_partition 2 0x01 binary/boot/grub/efi.img"
    in scripts/build/binary_iso file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 02 Nov 2021 19:47:54 +0100

live-build (1:20210902+kaisen1) kaisen-packages; urgency=medium

  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Oct 2021 16:50:51 +0200

live-build (1:20210407+kaisen1) kaisen-packages; urgency=medium

  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 08 Apr 2021 23:00:34 +0200

live-build (1:20210216+kaisen1) kaisen-packages; urgency=medium

  * Import new upstream release
  * Fix mkfs.fat command executed by lb_grub_efi

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Mon, 22 Feb 2021 00:06:44 +0200

live-build (1:20210122+kaisen1) kaisen-packages; urgency=medium

  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sun, 31 Jan 2021 17:25:31 +0200

live-build (1:20191221+kaisen1) kaisen-devel; urgency=medium

  * Adding kaisen-rolling distribution at data/debian-cd/

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Mon, 18 May 2020 20:16:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,18 @@
 Source: live-build
 Section: misc
 Priority: optional
-Maintainer: Debian Live <debian-live@lists.debian.org>
-Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
-           Luca Boccassi <bluca@debian.org>,
-           Johannes Schauer Marin Rodrigues <josch@debian.org>
+XSBC-Original-Maintainer: Debian Live <debian-live@lists.debian.org>
+Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
 Build-Depends: debhelper-compat (= 13), devscripts, gettext, po4a
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://wiki.debian.org/DebianLive
-Vcs-Browser: https://salsa.debian.org/live-team/live-build
-Vcs-Git: https://salsa.debian.org/live-team/live-build.git
+Vcs-Browser: https://gitlab.com/kaisenlinux/packages/live-build
+Vcs-Git: https://gitlab.com/kaisenlinux/packages/live-build.git
 
 Package: live-build
 Architecture: all
-Depends: cpio, debootstrap | mmdebstrap, ${misc:Depends}
+Depends: cpio, debootstrap, ${misc:Depends}
 Recommends: apt-utils,
             bzip2,
             cryptsetup,

## live-build 20250814

=== manpages/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

check:
	@echo -n "Checking the integrity of .po files "

	@if [ -x /usr/bin/msgfmt ]; \
	then \
		for POFILE in po/*/*; \
		do \
			msgfmt --check --output-file=/dev/null $${POFILE}; \
			echo -n "."; \
		done; \
	else \
		echo "E: msgfmt - command not found"; \
		echo "I: gettext can be obtained from http://www.gnu.org/software/gettext/"; \
		echo "I: On Debian based systems, gettext can be installed with 'apt-get install gettext'."; \
		exit 1; \
	fi

	@echo " done!"

build: check po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be obtained from https://po4a.org"; \
		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
		exit 1; \
	fi

	po4a --copyright-holder "Debian Live Project" --keep 0 --package-name live-build --package-version $(shell cd .. && dpkg-parsechangelog -S Version) po4a.cfg

clean:
	rm -f po/*/*.po~

distclean: clean
	rm -f po4a.cfg
	rm -rf $(LANGUAGES)

rebuild: distclean update build

.PHONY: all update check build clean distclean rebuild

=== debian/changelog ===
live-build (1:20250814) unstable; urgency=medium

  [ Roland Clobus ]
  * installer: Generate patterns file for firmware-intel-sound
  * firmwarelist: stronger filtering for firmware-nvdia-tesla
  * firmwarelist: filter firmware-marvell-prestera
  * installer: more espeakup support
  * debian-installer: Use local udebs for build from git
  * rebuild: Apply workaround for trixie
  * Revert "rebuild: Apply workaround for trixie"
  * Fix building with `--initsystem sysvinit`
  * Prepare for forky

  [ Arnaud Rebillout ]
  * Firmwarelist: filter out firmware-nvidia-tesla-.*-gsp
  * installer: Don't fail if there's no DEP-11 metadata
  * installer: Don't hardcode Debian keyring

  [ Luca Boccassi ]
  * Remove os-release diversions once rootfs creation is finished
  * Install live-specific os-release only with --system live

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Aug 2025 20:23:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: live-build
 Section: misc
 Priority: optional
-XSBC-Original-Maintainer: Debian Live <debian-live@lists.debian.org>
-Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
+Maintainer: Debian Live <debian-live@lists.debian.org>
+Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
+           Luca Boccassi <bluca@debian.org>,
+           Johannes Schauer Marin Rodrigues <josch@debian.org>
 Build-Depends: debhelper-compat (= 13), devscripts, gettext, po4a
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://wiki.debian.org/DebianLive
-Vcs-Browser: https://gitlab.com/kaisenlinux/packages/live-build
-Vcs-Git: https://gitlab.com/kaisenlinux/packages/live-build.git
+Vcs-Browser: https://salsa.debian.org/live-team/live-build
+Vcs-Git: https://salsa.debian.org/live-team/live-build.git
 
 Package: live-build
 Architecture: all

=== debian/tests/control ===
Tests: build-default-image
Depends: live-build
Restrictions: allow-stderr, needs-internet, needs-root

Tests: build-stable-image
Depends: live-build
Restrictions: allow-stderr, needs-internet, needs-root

Tests: build-kali-image
Depends: apt-utils,
         bzip2,
         ca-certificates,
         cpio,
         curl,
         file,
         git,
         live-build,
         wget,
         xz-utils
Restrictions: allow-stderr, flaky, needs-internet, needs-root

## live-build 20250814+kali1

=== debian/changelog ===
live-build (1:20250814+kali1) kali-dev; urgency=medium

  * Release for Kali

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 12 Nov 2025 14:29:07 +0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: live-build
 Section: misc
 Priority: optional
-Maintainer: Debian Live <debian-live@lists.debian.org>
+XSBC-Original-Maintainer: Debian Live <debian-live@lists.debian.org>
+Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Raphaël Hertzog <raphael@offensive-security.com>,
            Luca Boccassi <bluca@debian.org>,
            Johannes Schauer Marin Rodrigues <josch@debian.org>
@@ -9,8 +10,10 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://wiki.debian.org/DebianLive
-Vcs-Browser: https://salsa.debian.org/live-team/live-build
-Vcs-Git: https://salsa.debian.org/live-team/live-build.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/live-team/live-build
+XS-Debian-Vcs-Git: https://salsa.debian.org/live-team/live-build.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/live-build
+Vcs-Git: https://gitlab.com/kalilinux/packages/live-build.git
 
 Package: live-build
 Architecture: all

## live-build 20250814+kali2

=== debian/changelog ===
live-build (1:20250814+kali2) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * installer: Allow the grub signed packages to be missing, don't fail
  * Drop the Kali-specific workaround for missing signed grub package
  * memtest: Add support for memtest86+ >= 8.0 (Closes: #1122654)

  [ Roland Clobus ]
  * Installer: stop requiring fuse2

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 05 Jan 2026 08:46:55 +0700

## live-build 20250814.drbl1

=== debian/changelog ===
live-build (1:20250814.drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch to support riscv64 arch.
  * Patch to support mmdebstrap with updated bootstrap_mmdebstrap.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 06 Oct 2025 19:32:46 +0800
